Strategies

List a strategy's recent trades on Solana

A strategy's fills, newest first, a page at a time.

GET
/api/solana/strategies/{strategy}/trades

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Authorizing a swap or opening a market takes a key issued to your integration, and the shared key the docs fill in reads and quotes only.

In: header

Path Parameters

strategy*string

The strategy's address.

Query Parameters

limit?integer

Rows per page, from 1, default 20. Above 100 reads as 100.

cursor?string

The previous page's nextCursor.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/solana/strategies/string/trades"
{  "strategy": "AEFrumJC9heBMrxjkhQneUpMpCWhmyqfBUczaYCSnaQa",  "trades": [    {      "signature": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",      "slot": "318000000",      "blockTime": 1792540800,      "instructionPath": "2",      "ordinal": 0,      "trader": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",      "vaultIn": "BxA3h39KwbzQJkGPKDRJZ2JHC9zU2xPrTJAr3kr18nWX",      "assetIn": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",      "amountIn": "1000000",      "vaultOut": "6wj2cHo2ZxvDj1pu6B5ymgd1Eh5oCv3zvsdpkptC3ZxU",      "assetOut": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",      "amountOut": "999800",      "protocolFee": "20"    }  ],  "nextCursor": null}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}
{  "error": "string",  "code": "string",  "message": "string",  "details": {},  "requestId": "string"}